petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecRestoreArrayRead

Restore array obtained with VecGetArrayRead()

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArrayRead(Vec x,const PetscScalar **a)

Not Collective

### Input Parameters

| vec | - the vector
| array | - the array

### See Also

VecGetArray(), VecRestoreArray(), VecGetArrayPair(), VecRestoreArrayPair()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/examples/tutorials/ex10.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex12.c.html
src/dm/examples/tutorials/swarm_ex3.c.html
src/dm/field/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/ksp/ksp/examples/tutorials/ex71.c.html
src/ksp/ksp/examples/tutorials/ex73.c.html
src/snes/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex2.c.html

### Implementations

VecRestoreArrayRead_Nest in src/vec/vec/impls/nest/vecnest.c
VecRestoreArrayRead_Node in src/vec/vec/impls/node/vecnode.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages